openSUSE Security Update : coreutils (openSUSE-SU-2012:0621-1)

Medium Nessus Plugin ID 74628


The remote openSUSE host is missing a security update.


when running 'su -c' to execute commands as different user the target user could inject command back into the calling user's terminal via the TIOCSTI ioctl.


Update the affected coreutils packages.

See Also

Plugin Details

Severity: Medium

ID: 74628

File Name: openSUSE-2012-278.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2014/06/13

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:coreutils, p-cpe:/a:novell:opensuse:coreutils-debuginfo, p-cpe:/a:novell:opensuse:coreutils-debugsource, p-cpe:/a:novell:opensuse:coreutils-lang, cpe:/o:novell:opensuse:12.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2012/05/04

Reference Information

CVE: CVE-2005-4890

OSVDB: 94040, 94041